For the complete documentation index, see llms.txt. This page is also available as Markdown.

Fees

Fee information.

Get fee amounts

get
/feeAmount/{tokenA}/{tokenB}

Returns the liquidity provider fee and operator fee percentages for the pool.

Path parameters
tokenAstring · enumRequired

The name/symbol of the first token (URL encoded).

Example: CCPossible values:
tokenBstring · enumRequired

The name/symbol of the second token (URL encoded).

Example: USDCxPossible values:
Responses
200

Fee amounts

application/json
fee_amountnumber · doubleRequired

Liquidity provider fee percentage.

Example: 0.003
operator_fee_amountnumber · doubleRequired

Operator fee percentage.

Example: 0.001
get/feeAmount/{tokenA}/{tokenB}
GET /v1/feeAmount/{tokenA}/{tokenB} HTTP/1.1
Host: api.tradecraft.fi
Accept: */*
{
  "fee_amount": 0.003,
  "operator_fee_amount": 0.001
}

Last updated

Was this helpful?